import { Context, Next } from '@tachybase/actions';
import Trigger from '../../triggers';
export declare class OmniTrigger extends Trigger {
    static TYPE: string;
    constructor(workflow: any);
    triggerAction: (context: any, next: any) => Promise<any>;
    middleware: (context: Context, next: Next) => Promise<any>;
    private trigger;
    on(): void;
    off(): void;
}
